%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear
%global pear_name Date_Holidays_Germany
%define name php-pear-Date-Holidays-Germany
%define version 0.1.2
%define release 2

Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Summary: Driver based class to calculate holidays in Germany
License: PHP License
Group: Development/Libraries
Source0: http://pear.php.net/get/Date_Holidays_Germany-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.php.net/package/Date_Holidays_Germany

BuildRequires:  php-pear(PEAR) >= 1.4.7
Requires: php-pear(Date_Holidays) >= 0.18.0
Requires: php-pear(PEAR) >= 1.4.0b1
Provides:       php-pear(%{pear_name}) = %{version}

#BuildRequires: PEAR::PEAR >= 1.4.7
#Requires: PEAR::Date_Holidays >= 0.18.0
#Requires: PEAR::PEAR >= 1.4.0b1

BuildArch: noarch

%description
Date_Holidays helps you calculate the dates and titles of holidays and
other special celebrations. This is the driver for calculating holidays in
Germany.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm -rf %{buildroot}/%{peardir}/.filemap
rm -rf %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm -rf %{buildroot}/%{xmldir}/.filemap
rm -rf %{buildroot}/%{xmldir}/.lock
rm -rf %{buildroot}/%{xmldir}/.registry
rm -rf %{buildroot}/%{xmldir}/.channels
if [[ -f %{buildroot}%{xmldir}/.depdb ]] ;then
rm -rf %{buildroot}%{xmldir}/.depdb
fi
if [[ -f  %{buildroot}{xmldir}/.depdblock ]] ;then
rm -rf %{buildroot}%{xmldir}/.depdblock
fi



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Date_Holidays_Germany.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Date_Holidays_Germany.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Date_Holidays_Germany >/dev/null || :
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/Date_Holidays_Germany.xml

%changelog
* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Jun 16 2016 Jean-Philipe Pialasse <tests@pialasse.com> 0.1.2-2.sme
- importing to buildsys pear packages for Horde [SME: 9600]

* Mon Jul 22 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 0.1.2-1
- Original from pear-make-rpm-spec.

